#!/bin/bash

mypath="$(cd "`dirname "$0"`" ; pwd)"

ZENTITLE="--title=VMSData2CSV"

while true; do
	zenity $ZENTITLE --question --text="Ingin convert file?"
	if [ $? -ne 0 ]; then
		break
	fi

	filename="$(zenity --title="Pilih file yang akan di-convert" --file-selection)"
	if [ -z "$filename" ]; then
		break
	fi
	
	outfilename="$(zenity --title="File disimpan sebagai" --file-selection --save)"
	if [ -z "$outfilename" ]; then
		continue
	fi
	
	"$mypath/python2.7-static" "$mypath/vmsdata2csv.py" "$filename" > "$outfilename"
	if [ $? -eq 0 ]; then
		zenity $ZENTITLE --info --text="Berhasil"
	else
		zenity $ZENTITLE --error --text="Gagal"
	fi
done
